Multivariate Pattern Analysis in Python

# mvpa2.misc.fx.fit2histogram

`mvpa2.misc.fx.``fit2histogram`(X, fx, params, nbins=20, x_range=None)

  Fit a function to multiple histograms.

  First histogram is computed for each data row vector individually. Afterwards a custom function is fitted to the binned data.

  Parameters:

  X : array-like

  > Data (nsamples x nfeatures)

  fx : functor

  > Function to be fitted. Its interface has to comply to the requirements as for `least_sq_fit`.

  params : tuple

  > Initial parameter values.

  nbins : int

  > Number of histogram bins.

  x_range : None or tuple

  > Range spanned by the histogram bins. By default the actual mininum and maximum values of the data are used.

  Returns:

  tuple

  > (histograms (nsampels x nbins),

  >   bin locations (left border), bin width, output of `least_sq_fit`)